{ nixpkgs ? <nixpkgs>
#, systems ? [ "i686-linux" "x86_64-linux" "x86_64-darwin" ]
, systems ? [ "x86_64-linux" ]
}:

let
  pkgs = import nixpkgs {};

  version = "2016-10-22-v1";

  jobset = import ./blog-gallery.nix {
    inherit pkgs;
    system = builtins.currentSystem;
  };
in
  rec {
    inherit (jobset) tarball;

    package = pkgs.lib.genAttrs systems (system:
    (import ./blog-gallery.nix {
      pkgs = import nixpkgs { inherit system; };
      inherit system;
    }).package
    );

    release = pkgs.releaseTools.aggregate {
      name = "perso-${version}";
      constituents = [
        tarball
      ]
      ++ map (system: builtins.getAttr system package) systems;
    };
  }
